Vincent is here! Just say the word, and Vincent will build the campaigns for you! Get early access.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/segments/{segmentId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "seg_Mv5w1b2FIEbiCCO5ioT8TfI2",
"name": "Tiers 2 - Senior",
"created_at": "2022-06-09T13:21:26.656Z",
"type": "auto-update",
"filter": {
"junction": "and",
"loyalty_points.campaigns.Tiers 2.points": {
"conditions": {
"$more_than_equal": [
41
]
}
}
},
"initial_sync_status": "DONE",
"object": "segment"
}Retrieves the segment with a given segment ID.
curl --request GET \
--url https://{cluster}.voucherify.io/v1/segments/{segmentId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"id": "seg_Mv5w1b2FIEbiCCO5ioT8TfI2",
"name": "Tiers 2 - Senior",
"created_at": "2022-06-09T13:21:26.656Z",
"type": "auto-update",
"filter": {
"junction": "and",
"loyalty_points.campaigns.Tiers 2.points": {
"conditions": {
"$more_than_equal": [
41
]
}
}
},
"initial_sync_status": "DONE",
"object": "segment"
}Documentation Index
Fetch the complete documentation index at: https://docs.voucherify.io/llms.txt
Use this file to discover all available pages before exploring further.
A unique customer segment ID.
"seg_DNAOhUtJffvX0f57ajLMFBYR"
Returns segment object.
Response body schema for GET v1/v1/segments/{segmentId}.
Unique segment ID.
"seg_1wc52c5z6r1kQ81brO8j9Hk2"
Segment name.
Timestamp representing the date and time when the segment was created. The value is shown in the ISO 8601 format.
"2022-05-12T13:01:56.896Z"
Defines whether the segment is:
auto-update): customers enter and leave the segment based on the defined filters and the customer.segment.entered and customer.segment.left events are triggered,passive): customers enter and leave the segment based on the defined filters, but the customer.segment.entered and customer.segment.left events are not triggered,static): manually selected customers.auto-update, passive, static Defines a set of criteria for an auto-update or passive segment type.
The type of the object represented by JSON. This object stores information about the customer segment.
segment Was this page helpful?